=== doc/cvode/Makefile ===
# -----------------------------------------------------------------
# Programmer(s): Slaven Peles, Cody Balos @ LLNL
# -----------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2022, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# -----------------------------------------------------------------
# Makefile for CVODE examples documentation
# -----------------------------------------------------------------

EXAMPLES   = cv_examples

EX_FILES = \
${EXAMPLES}.tex \
cv_ex_intro.tex \
cv_ex_serial.tex \
cv_ex_parallel.tex \
cv_ex_parhyp.tex \
cv_ex_fortran.tex \
cv_ex_tests.tex

include ../Makefile.in
