=== doc/ida/Makefile ===
# -----------------------------------------------------------------
# Programmer(s): Slaven Peles, Cody Balos @ LLNL
# -----------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2022, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# -----------------------------------------------------------------
# Makefile for IDA documentation
# -----------------------------------------------------------------

EXAMPLES   = ida_examples

EX_FILES = \
${EXAMPLES}.tex     \
ida_ex_intro.tex    \
ida_ex_serial.tex   \
ida_ex_parallel.tex \
ida_ex_petsc.tex    \
ida_ex_trilinos.tex    \
ida_ex_fortran.tex  \
ida_ex_codes.tex

include ../Makefile.in
