=== doc/idas/Makefile ===
# -----------------------------------------------------------------
# Programmer(s): Slaven Peles, Cody Balos @ LLNL
# -----------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2022, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# -----------------------------------------------------------------
# Makefile for IDAS examples documentation
# -----------------------------------------------------------------

EXAMPLES   = idas_examples

EX_FILES = \
${EXAMPLES}.tex \
idas_ex_intro.tex \
idas_ex_fwd.tex \
idas_ex_adj.tex

include ../Makefile.in
