=== debian/changelog ===
sundials (6.4.1+dfsg1-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:56:06 +1100

sundials (6.4.1+dfsg1-3build3) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:37:18 +0000

sundials (6.4.1+dfsg1-3build2) noble; urgency=medium

  * No-change rebuild against petsc 3.19

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Feb 2024 06:27:57 +0000

sundials (6.4.1+dfsg1-3build1) mantic; urgency=medium

  * No-change rebuild against libklu2 

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 12:19:02 +0000
