=== debian/tests/control ===
Tests: arkode
Depends: build-essential, libsundials-dev
Restrictions: allow-stderr
